REM2HTML(1)

NAME
rem2html - Convert the output of "remind -pp" to HTML

SYNOPSIS
    remind -pp ... | rem2html [options]

You can also use the old interchange format as below, but the -pp version is preferred.

    remind -p ... | rem2html [options]

OPTIONS

--help, -h
    Print usage information

--version
    Print version

--backurl url
    When producing the small calendar for the previous month, make the month name a link to url.

--forwurl url
    When producing the small calendar for the next month, make the month name a link to url.

--imgbase url
    When creating URLs for the stylesheet or external images, use url as the base URL.

--pngs
    Normally, rem2html uses inline "data:" URLs for the moon phase images, yielding a standalone HTML file. The "--pngs" option makes it use external images named firstquarter.png, fullmoon.png, lastquarter.png and newmoon.png, which are expected to live in "--imgbase".

--stylesheet url.css
    Use url.css as the stylesheet. If this option is used, url.css is interpreted relative to imgbase unless it starts with a "/".

--nostyle
    Produce basic HTML that does not use a CSS stylesheet.

--tableonly
    Output results as a <table> ... </table> sequence only without any <html> or <body> tags.

--title title
    Use title as the content between <title> and </title> tags.

--prologue html_text
    Insert html_text right after the <body> tag.

--epilogue html_text
    Insert html_text right before the </body> tag.

SPECIALS SUPPORTED
The rem2html back-end supports the following SPECIAL reminders:

HTML
    Add an HTML reminder to the calendar. All HTML tags are available.

HTMLCLASS
    Add a CSS class to the box representing the trigger date. See "HIGHLIGHTING TODAY" for an example

WEEK, MOON, SHARE, COLOR
    The standard SPECIALs supported by all back-ends

HIGHLIGHTING TODAY
Older versions of rem2html used to highlight today's date with a red outline. The current version does not do that by default. If you wish to highlight today's date, add the following reminder to your reminders file:

    REM [realtoday()] SPECIAL HTMLCLASS rem-today

AUTHOR
rem2html was written by Dianne Skoll with much inspiration from an earlier version by Don Schwarz.

SEE ALSO
remind, rem2ps, rem2pdf, tkremind